ru.bitel.bgbilling.kernel.contract.api.common.bean

## Class ContractGroup

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractGroup

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class ContractGroup
      extends IdTitle

  Группа договора
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getNotEditable()` Возвращает свойство редактируемости группы.
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setNotEditable(boolean notEditable)` Устанавливает свойство редактируемости группы

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ContractGroup

          public ContractGroup()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getNotEditable

          public boolean getNotEditable()

      Возвращает свойство редактируемости группы.
      Returns:
        true - не редактируемая, false - редактируемая.

    - #### setNotEditable

          public void setNotEditable(boolean notEditable)

      Устанавливает свойство редактируемости группы
      Parameters:
        `notEditable` -